Subject: [core] Fwd: New Version Notification for draft-ietf-core-link-format-02

From: Zach Shelby <[email-masked]>
Date: Fri, 10 Dec 2010 14:39:43 +0200

I submitted a new version of the CoRE Link Format. This now closes all the tickets from Beijing and the interim meeting. Thanks to Carsten, Peter and Martin for providing detailed comments on the draft.

http://www.ietf.org/id/draft-ietf-core-link-format-02.txt

   Changes from ietf-01 to ietf-02:

      o Added references to RFC5988 (#41).

      o Removed sh and id link-extensions (#42).

      o Defined the use of UTF-8 (#84).

      o Changed query filter definition for any parameter (#70).

      o Added more example, now as a separate section (#43).

      o Mentioned cyclical links in the security section (#57).

      o Removed the sh and id attributes, added obs and sz attributes
      (#42).

      o Improved the context and relation description wrt RFC5988 and
      requested a new "hosts" default relation type (#85).

Zach

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: December 10, 2010 2:26:42 PM GMT+02:00
> To: [email-masked]
> Subject: New Version Notification for draft-ietf-core-link-format-02 
> 
> 
> A new version of I-D, draft-ietf-core-link-format-02.txt has been successfully submitted by Zach Shelby and posted to the IETF repository.
> 
> Filename:	 draft-ietf-core-link-format
> Revision:	 02
> Title:		 CoRE Link Format
> Creation_date:	 2010-12-10
> WG ID:		 core
> Number_of_pages: 14
> 
> Abstract:
> This document defines Web Linking using a link format for use by
> constrained web servers to describe hosted resources, their
> attributes and other relationships between links.  Based on the HTTP
> Link Header format defined in RFC5988, the CoRE Link Format is
> carried as a payload and is assigned an Internet media type.  A well-
> known URI is defined as a default entry-point for requesting the
> links hosted by a server.
> 
> 
> 
> The IETF Secretariat.
> 
> 

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://zachshelby.org  - My blog "On the Internet of Things"
http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
Mobile: +358 40 7796297